Bug 191369 - [css-grid] Import additional grid layout test from the WPT suite
Summary: [css-grid] Import additional grid layout test from the WPT suite
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Javier Fernandez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-11-07 09:04 PST by Javier Fernandez
Modified: 2018-11-11 14:23 PST (History)
8 users (show)

See Also:


Attachments
Patch (209.04 KB, patch)
2018-11-07 09:06 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Patch (228.67 KB, patch)
2018-11-07 09:10 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Patch (219.33 KB, patch)
2018-11-07 09:18 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-sierra (2.41 MB, application/zip)
2018-11-07 10:23 PST, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.33 MB, application/zip)
2018-11-07 11:03 PST, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-sierra (3.30 MB, application/zip)
2018-11-07 11:36 PST, Build Bot
no flags Details
Patch (226.43 KB, patch)
2018-11-10 16:47 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Patch (225.85 KB, patch)
2018-11-11 02:43 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.35 MB, application/zip)
2018-11-11 04:29 PST, Build Bot
no flags Details
Patch (232.25 KB, patch)
2018-11-11 07:05 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.51 MB, application/zip)
2018-11-11 08:49 PST, Build Bot
no flags Details
Patch (239.73 KB, patch)
2018-11-11 12:53 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Fernandez 2018-11-07 09:04:57 PST
Import additional grid layout test from the WPT suite
Comment 1 Javier Fernandez 2018-11-07 09:06:04 PST
Created attachment 354096 [details]
Patch
Comment 2 Javier Fernandez 2018-11-07 09:10:58 PST
Created attachment 354097 [details]
Patch
Comment 3 Javier Fernandez 2018-11-07 09:18:24 PST
Created attachment 354098 [details]
Patch
Comment 4 Manuel Rego Casasnovas 2018-11-07 09:33:06 PST
Comment on attachment 354098 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=354098&action=review

Thanks for doing this. r=me if EWSs are happy :-)

> LayoutTests/ChangeLog:3
> +        Import additional grid layout test from the WPT suite

Supernit: Mark this with [css-grid] so it's easier to look later for all the grid changes.
Comment 5 Build Bot 2018-11-07 10:23:54 PST
Comment on attachment 354098 [details]
Patch

Attachment 354098 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/9895005

New failing tests:
imported/w3c/web-platform-tests/css/css-grid/grid-items/anonymous-grid-item-001.html
Comment 6 Build Bot 2018-11-07 10:23:55 PST
Created attachment 354107 [details]
Archive of layout-test-results from ews102 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 7 Build Bot 2018-11-07 11:03:01 PST
Comment on attachment 354098 [details]
Patch

Attachment 354098 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/9895100

New failing tests:
imported/w3c/web-platform-tests/css/css-grid/alignment/grid-self-baseline-not-applied-if-sizing-cyclic-dependency-001.html
imported/w3c/web-platform-tests/css/css-grid/grid-items/anonymous-grid-item-001.html
Comment 8 Build Bot 2018-11-07 11:03:03 PST
Created attachment 354110 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 9 Build Bot 2018-11-07 11:36:46 PST
Comment on attachment 354098 [details]
Patch

Attachment 354098 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/9895493

New failing tests:
imported/w3c/web-platform-tests/css/css-grid/grid-items/anonymous-grid-item-001.html
Comment 10 Build Bot 2018-11-07 11:36:48 PST
Created attachment 354115 [details]
Archive of layout-test-results from ews114 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 11 Javier Fernandez 2018-11-10 16:47:19 PST
Created attachment 354483 [details]
Patch
Comment 12 Javier Fernandez 2018-11-11 02:43:28 PST
Created attachment 354500 [details]
Patch
Comment 13 Build Bot 2018-11-11 04:29:07 PST
Comment on attachment 354500 [details]
Patch

Attachment 354500 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/9947471

New failing tests:
imported/w3c/web-platform-tests/css/css-grid/alignment/grid-self-baseline-not-applied-if-sizing-cyclic-dependency-001.html
Comment 14 Build Bot 2018-11-11 04:29:09 PST
Created attachment 354501 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 15 Javier Fernandez 2018-11-11 07:05:10 PST
Created attachment 354503 [details]
Patch
Comment 16 Build Bot 2018-11-11 08:49:48 PST
Comment on attachment 354503 [details]
Patch

Attachment 354503 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/9948979

New failing tests:
imported/w3c/web-platform-tests/css/css-grid/alignment/grid-self-baseline-not-applied-if-sizing-cyclic-dependency-001.html
Comment 17 Build Bot 2018-11-11 08:49:50 PST
Created attachment 354505 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 18 Javier Fernandez 2018-11-11 12:53:07 PST
Created attachment 354509 [details]
Patch
Comment 19 WebKit Commit Bot 2018-11-11 14:22:42 PST
Comment on attachment 354509 [details]
Patch

Clearing flags on attachment: 354509

Committed r238079: <https://trac.webkit.org/changeset/238079>
Comment 20 WebKit Commit Bot 2018-11-11 14:22:44 PST
All reviewed patches have been landed.  Closing bug.
Comment 21 Radar WebKit Bug Importer 2018-11-11 14:23:28 PST
<rdar://problem/45976016>